Set(TURANYI_DENSE_DIR Test/TuranyiDense)

INCLUDE_DIRECTORIES(${TURANYI_DENSE_DIR})

Set(TURANYI_DENSE_HEADER_FILES  
	${TURANYI_DENSE_DIR}/Turanyi.hpp)
	
SOURCE_GROUP("Header Files" FILES ${TURANYI_DENSE_HEADER_FILES} )

Set(TURANYI_DENSE_SOURCE_FILES 
	${TURANYI_DENSE_DIR}/main.cpp
	${TURANYI_DENSE_DIR}/Turanyi.cpp
	${TURANYI_DENSE_DIR}/rhs.cpp
	${TURANYI_DENSE_DIR}/t1_rhs.cpp
	${TURANYI_DENSE_DIR}/b1_rhs.cpp
	${TURANYI_DENSE_DIR}/d2_b1_rhs.cpp )
	
add_executable(TuranyiDense ${TURANYI_DENSE_HEADER_FILES} 
	${TURANYI_DENSE_SOURCE_FILES} )

target_link_libraries(TuranyiDense Nixe)
	

if(MSVC)
SET_PROPERTY(TARGET TuranyiDense PROPERTY LINK_FLAGS_DEBUG  "/NODEFAULTLIB:MSVCRT" )
endif()


#ADD_TEST(TestCaracotsiosDense ${EXECUTABLE_OUTPUT_PATH}/CaracotsiosDense ${CMAKE_CURRENT_SOURCE_DIR}/${CARACOTSIOS_DENSE_DIR}/ReferenceHessian.dat)

